View Issue Details

IDProjectCategoryView StatusLast Update
0004428FreeCADBugpublic2020-09-13 17:00
ReporterTedM Assigned Torealthunder  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.19 
Summary0004428: Regression in search functionality
DescriptionAssociated forum post here.

Functionality regression in search in at least two contexts: (1) "Search..." context menu item in the model view and (2) the "Search" box in a "Link" dialog box linked from "..." in a Part WB boolean property (and probably elsewhere). The "Selection View" panel search works correctly.

Known regressions are:
  1. Searches not anchored at the beginning of a name do not function.
  2. Some names cannot be found while an alternative name is found instead.
Steps To Reproduce
  1. Create new document
  2. Go to Parts WB.
  3. Create a Cube and two Cones, default properties and names.
  4. Select the Cue and first Cone and create a Fusion. (The linked file is at this point.)
  5. In the Model view, right-click the document name and select "Search..." to add the search box at the bottom.
  6. In the search box, type "one". In 0.18, this selects both cones. in 0.19, this has no effect.
  7. Erase those characters and type "Cub". In 0.18, this selects the Cube. In 0.19, this has no effect.
  8. This regression can also be seen by selecting the Fusion and, in the properties, clicking on the values for Shapes and then clicking on "...". The search box in the Link box also has these problems.
Additional InformationIn the forum thread, @Syres reports that this functions correctly in 0.19.17651 and fails in 0.19.17803.
Tags#pending-PR
FreeCAD InformationOS: Windows 10 (10.0)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.22284 (Git)
Build type: Release
Branch: master
Hash: bf1e8e48389f5e9e25bd77b67fe98da4213e797c
Python version: 3.8.5
Qt version: 5.12.5
Coin version: 4.0.0
OCC version: 7.4.0
Locale: English/United States (en_US)

Activities

TedM

2020-09-05 18:29

reporter  

search bug.FCStd (7,047 bytes)

TedM

2020-09-05 18:32

reporter   ~0014728

Sorry, omitted step 7.1 in Steps to Reproduce:

7.1 Erase those characters and type "Box" (which is not an existing name). In 0.18, nothing happens (correct). In 0.19, the Cube is selected.

Kunda1

2020-09-11 17:12

administrator   ~0014742

PR submitted by realthunder https://github.com/FreeCAD/FreeCAD/pull/3847
source: https://forum.freecadweb.org/viewtopic.php?f=3&t=49953&p=428698#p428698

realthunder

2020-09-13 17:00

developer   ~0014750

Fix committed to master branch.

Related Changesets

FreeCAD: master 4f5a2e92

2020-09-06 01:44:39

realthunder


Committer: wwmayer Details Diff
Gui: allow change ExpressionCompleter filter mode

Fixes 0004428

Filter mode set to Qt::MatchContains for tree view search and link
property editor object search.

Other usage of the completer (e.g. property editor, speadsheet) defaults
to Qt::MatchContains, but can be changed using parameter,

BaseApp/Preferences/Expression/CompleterMatchExact
Affected Issues
0004428
mod - src/Gui/DlgPropertyLink.cpp Diff File
mod - src/Gui/ExpressionCompleter.cpp Diff File
mod - src/Gui/ExpressionCompleter.h Diff File
mod - src/Gui/Tree.cpp Diff File

Issue History

Date Modified Username Field Change
2020-09-05 18:29 TedM New Issue
2020-09-05 18:29 TedM File Added: search bug.FCStd
2020-09-05 18:32 TedM Note Added: 0014728
2020-09-11 17:12 Kunda1 Assigned To => realthunder
2020-09-11 17:12 Kunda1 Status new => assigned
2020-09-11 17:12 Kunda1 Note Added: 0014742
2020-09-11 17:21 Kunda1 Tag Attached: #pending
2020-09-11 17:22 Kunda1 Tag Attached: #pending-PR
2020-09-11 17:22 Kunda1 Tag Detached: #pending
2020-09-13 17:00 realthunder Changeset attached => FreeCAD master 4f5a2e92
2020-09-13 17:00 realthunder Note Added: 0014750
2020-09-13 17:00 realthunder Status assigned => closed
2020-09-13 17:00 realthunder Resolution open => fixed